Subject: AW: problem with run.exe in Windows-startup (Autostart) directory
From: "Paul Maier" <[email-masked]>
To: <[email-masked]>
Cc: "'Andrey Repin'" <[email-masked]>
Date: Sun, 22 Jul 2012 18:05:49 +0200
List-Id: <cygwin.cygwin.com>

> Greetings, Paul Maier!
> 
> > When I start a run.exe command manually, it hides fine both, the window and
> > the task bar entry;
> > but I have 3 scripts containing run.exe commands in the Windows startup
> > (autostart) folder, and there one (only one) script brings up an unwanted
> > entry in the task bar (the window itself is fine invisible). It is always
> > another one out of the 3 scripts, but each time at most one (i. e. zero or 1
> > unwanted entries).
> > Since I start a server here, that task bar entry stays there all day (and of
> > course there is no visible window attachted to it), and if I select close, I
> > also shut down the server by this.
> 
> What exactly is in your scripts, and in the links in StartUp dir?
> 
> > This seems a racing condition to me:
> 
> This seems to be a wrong link/improperly designed script for me.
> Or a use of a wrong tools for the task.
> 
> > If I disconnect the internet LAN cable (then the evaluation of possible
> > connections is much faster) _or_ if I move my mouse up and down right after
> > Windows login to make the task bar appear and disappear some times, then all
> > autostart run.exe scripts hide their task bar entries fine.
> 
> > I have never seen more than 1 such unwanted task bar entry appearing. The
> > first one seems to initialize the environment somehow, so that the other
> > run.exe instances work as expected.
> 
> > I also added a 4th script:
> > run /bin/sleep 10,
> > That improved the situation in a way, that unwanted task bar entries were
> > less likely to happen, but they still came then and when.
> 
> > It worked fine with the run.exe that I downloaded 1 year ago.
> 

Hi Andrey,

thank you very much for looking into this issue.

With "scripts" I mean:
In the folder "C:\Users\<Username>\AppData\Roaming\Microsoft\Windows\Start Menu\Programs\Startup\"
I have 2 files with ending .lnk. They are normal Windows links. In their execute line they have the following:

1.) D:\Programme\cygwin\bin\run.exe /cygdrive/d/Programme/Subversion/bin/svnserve.exe -d -r "<Path>" --log-file "<Path>"
    To work around the run.exe problem, I changed this one from "-d" to "--service" and run it as Windows service.

2.) D:\Programme\cygwin\bin\run.exe /bin/tcsh.exe -c startx
    And startx is an alias to: /bin/startxwin -- /bin/XWin
    This one I can't run as Windows service, because I don't know how to.
    It works fine, when I stop the X server and double click on that .lnk file in the explorer.
    It also used to work fine before my Cygwin upgrade.
    But the current Cygwin version leaves an entry in the task bar, when executed automatically during the Windows startup.
    The X Server starts fine; the problem is the unneccessary entry in the task bar, staying there for the whole day.

Thank you!

Regards,
  Paul

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple